All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::mem_copy_overlap Class Reference

Exception thrown if the source buffer overlaps the destination buffer when copying from device memory to device memory. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::mem_copy_overlap:

## Detailed Description

Exception thrown if the source buffer overlaps the destination buffer when copying from device memory to device memory.

Definition at line 163 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp